## LOC Inject Predicted Orbits Data request LOC Inject Predicted Orbits Data request |

## Functions

QmiMessageLocInjectPredictedOrbitsDataInput * | qmi_message_loc_inject_predicted_orbits_data_input_new ()
QmiMessageLocInjectPredictedOrbitsDataInput * | qmi_message_loc_inject_predicted_orbits_data_input_ref ()
void | qmi_message_loc_inject_predicted_orbits_data_input_unref ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_get_format_type ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_set_format_type ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_get_part_data ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_set_part_data ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_get_part_number ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_set_part_number ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_get_total_parts ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_set_total_parts ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_get_total_size ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_input_set_total_size ()
QmiMessageLocInjectPredictedOrbitsDataOutput * | qmi_message_loc_inject_predicted_orbits_data_output_ref ()
void | qmi_message_loc_inject_predicted_orbits_data_output_unref ()
gboolean | qmi_message_loc_inject_predicted_orbits_data_output_get_result ()
void | qmi_client_loc_inject_predicted_orbits_data ()
QmiMessageLocInjectPredictedOrbitsDataOutput * | qmi_client_loc_inject_predicted_orbits_data_finish ()

## Types and Values

| QmiMessageLocInjectPredictedOrbitsDataInput
| QmiMessageLocInjectPredictedOrbitsDataOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageLocInjectPredictedOrbitsDataInput
        ╰── QmiMessageLocInjectPredictedOrbitsDataOutput

## Description

## Functions

### qmi_message_loc_inject_predicted_orbits_data_input_new ()

    QmiMessageLocInjectPredictedOrbitsDataInput *
    qmi_message_loc_inject_predicted_orbits_data_input_new
                                   (void);

Allocates a new QmiMessageLocInjectPredictedOrbitsDataInput.

#### Returns

the newly created QmiMessageLocInjectPredictedOrbitsDataInput. The returned value should be freed with `qmi_message_loc_inject_predicted_orbits_data_input_unref()`.

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_ref ()

    QmiMessageLocInjectPredictedOrbitsDataInput *
    qmi_message_loc_inject_predicted_orbits_data_input_ref
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_unref ()

    void
    qmi_message_loc_inject_predicted_orbits_data_input_unref
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_get_format_type ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_get_format_type
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    QmiLocPredictedOrbitsDataFormat *value_format_type,
                                    GError **error);

Get the 'Format Type' field from `self` .

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_format_type | a placeholder for the output QmiLocPredictedOrbitsDataFormat, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_set_format_type ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_set_format_type
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    QmiLocPredictedOrbitsDataFormat value_format_type,
                                    GError **error);

Set the 'Format Type' field in the message.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_format_type | a QmiLocPredictedOrbitsDataFormat. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_get_part_data ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_get_part_data
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    GArray **value_part_data,
                                    GError **error);

Get the 'Part Data' field from `self` .

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_part_data | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_set_part_data ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_set_part_data
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    GArray *value_part_data,
                                    GError **error);

Set the 'Part Data' field in the message.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_part_data | a GArray of guint8 elements. A new reference to `value_part_data` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_get_part_number ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_get_part_number
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint16 *value_part_number,
                                    GError **error);

Get the 'Part Number' field from `self` .

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_part_number | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_set_part_number ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_set_part_number
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint16 value_part_number,
                                    GError **error);

Set the 'Part Number' field in the message.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_part_number | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_get_total_parts ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_get_total_parts
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint16 *value_total_parts,
                                    GError **error);

Get the 'Total Parts' field from `self` .

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_total_parts | a placeholder for the output guint16, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_set_total_parts ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_set_total_parts
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint16 value_total_parts,
                                    GError **error);

Set the 'Total Parts' field in the message.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_total_parts | a guint16. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_get_total_size ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_get_total_size
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint32 *value_total_size,
                                    GError **error);

Get the 'Total Size' field from `self` .

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_total_size | a placeholder for the output guint32, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_input_set_total_size ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_input_set_total_size
                                   (QmiMessageLocInjectPredictedOrbitsDataInput *self,
                                    guint32 value_total_size,
                                    GError **error);

Set the 'Total Size' field in the message.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataInput. |
value_total_size | a guint32. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_output_ref ()

    QmiMessageLocInjectPredictedOrbitsDataOutput *
    qmi_message_loc_inject_predicted_orbits_data_output_ref
                                   (QmiMessageLocInjectPredictedOrbitsDataOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_output_unref ()

    void
    qmi_message_loc_inject_predicted_orbits_data_output_unref
                                   (QmiMessageLocInjectPredictedOrbitsDataOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataOutput. |

Since: 1.22

### qmi_message_loc_inject_predicted_orbits_data_output_get_result ()

    gboolean
    qmi_message_loc_inject_predicted_orbits_data_output_get_result
                                   (QmiMessageLocInjectPredictedOrbitsDataOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageLocInjectPredictedOrbitsDataOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.22

### qmi_client_loc_inject_predicted_orbits_data ()

    void
    qmi_client_loc_inject_predicted_orbits_data
                                   (QmiClientLoc *self,
                                    QmiMessageLocInjectPredictedOrbitsDataInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Inject Predicted Orbits Data request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_loc_inject_predicted_orbits_data_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientLoc. |
input | a QmiMessageLocInjectPredictedOrbitsDataInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_loc_inject_predicted_orbits_data_finish ()

    QmiMessageLocInjectPredictedOrbitsDataOutput *
    qmi_client_loc_inject_predicted_orbits_data_finish
                                   (QmiClientLoc *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_loc_inject_predicted_orbits_data()`.

#### Parameters

self | a QmiClientLoc. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_loc_inject_predicted_orbits_data()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageLocInjectPredictedOrbitsDataOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_loc_inject_predicted_orbits_data_output_unref()`.

Since: 1.22

## Types and Values

### QmiMessageLocInjectPredictedOrbitsDataInput

    typedef struct _QmiMessageLocInjectPredictedOrbitsDataInput QmiMessageLocInjectPredictedOrbitsDataInput;

The QmiMessageLocInjectPredictedOrbitsDataInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageLocInjectPredictedOrbitsDataOutput

    typedef struct _QmiMessageLocInjectPredictedOrbitsDataOutput QmiMessageLocInjectPredictedOrbitsDataOutput;

The QmiMessageLocInjectPredictedOrbitsDataOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22